#
# spec file for package xf86-video-intel
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           xf86-video-intel
Version:        2.99.914
Release:        0.9.9
Summary:        Intel video driver for the Xorg X server
License:        MIT
Group:          System/X11/Servers/XF86_4
Url:            http://x.org/wiki/IntelGraphicsDriver/
Source0:        http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.bz2
Source1:        sax2-hwinfo-data.tar.gz
Patch1:         n_Intel-Disable-DRI2-and-2D-accel-for-i830-i845G-chipsets.patch
Patch2:         U_xf86-video-intel-uxa-Do-not-change-DPMS-mode-on-unconnected-outputs.patch
Patch3:         u_intel-When-RandR-isn-t-initialized-fall-back-to-non-RR-gamma-setting.patch
Patch4:         n_intel-revert-fbpict.diff
Patch5:         U_uxa-Stub-out-intel_sync_init-fini-when-not-compiled-.patch

Recommends:     vaapi-intel-driver
Recommends:     intel-gpu-tools
BuildRequires:  Mesa-devel
BuildRequires:  libdrm-devel
BuildRequires:  pkg-config
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  xorg-x11-server-sdk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
Requires:       libdrm >= 2.4.52
Requires:       VIDEO_ABI_VERSION = 5

%description
intel is an Xorg driver for Intel integrated video cards.

The driver supports depths 8, 15, 16 and 24. All visual types are
supported in depth 8. For the i810/i815 other depths support the
TrueColor and DirectColor visuals. For the i830M and later, only the
TrueColor visual is supported for depths greater than 8. The driver
supports hardware accelerated 3D via the Direct Rendering Infrastructure
(DRI), but only in depth 16 for the i810/i815 and depths 16 and 24 for
the 830M and later.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
autoreconf -fi
%configure --enable-uxa --disable-sna --with-default-accel=uxa --disable-backlight-helper

make %{?_smp_mflags}

%install
%make_install

# Move the driver into updates directory
mkdir -p %{buildroot}%{_libdir}/xorg/modules/updates/drivers
mv %{buildroot}%{_libdir}/xorg/modules/drivers/intel_drv.* %{buildroot}%{_libdir}/xorg/modules/updates/drivers

# XvMC libraries are provided by xorg-x11-driver-video
rm %{buildroot}%{_libdir}/libI810XvMC.* %{buildroot}%{_libdir}/libIntelXvMC.*

# SaX2/hwinfo meta files
tar xf $RPM_SOURCE_DIR/sax2-hwinfo-data.tar.gz -C $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
if ls var/lib/hardware/ids/* &> /dev/null; then
  cat var/lib/hardware/ids/* > var/lib/hardware/hd.ids
else
  rm -f var/lib/hardware/hd.ids
fi

%postun 
/sbin/ldconfig
if ls var/lib/hardware/ids/* &> /dev/null; then
  cat var/lib/hardware/ids/* > var/lib/hardware/hd.ids
else
  rm -f var/lib/hardware/hd.ids
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%dir /usr/share/sax
%dir /usr/share/sax/api
%dir /usr/share/sax/api/data
%dir /usr/share/sax/api/data/cdb
%dir /usr/share/sax/sysp
%dir /usr/share/sax/sysp/maps
%dir /usr/share/sax/sysp/maps/update
%dir /var/lib/hardware
%dir /var/lib/hardware/ids
%dir %{_libdir}/xorg/modules/updates/drivers
%{_libdir}/xorg/modules/updates/drivers/intel_drv.*
/usr/share/sax/api/data/cdb/Cards.20.%{name}
/usr/share/sax/sysp/maps/update/Identity.map.20.%{name}
/var/lib/hardware/ids/20.%{name}

# intel man page is provided by xorg-x11-driver-video
%exclude %{_datadir}/man/man4/*

%changelog
* Wed May 27 2015 sndirsch@suse.com
- added meta files required for SaX2/hwinfo
* Thu May  7 2015 msrb@suse.com
- Split xf86-video-intel from xorg-x11-driver-video from SP4.
  Initial version: 2.99.914. (FATE#317933, bnc#930085).
